httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sandeep Bhatia <bhatia.san...@gmail.com>
Subject Re: [users@httpd] Error during the Compile step while upgrading the Apache from 1.3.34 to 2.0.59
Date Tue, 17 Jan 2012 18:29:15 GMT
Hi all,

Thanks for your help.

I am using the GCC compiler.The reason behind using the 2.0.XX is , my SAP
application is supported by Apache 2.0.xx version only and not by 2.2.XX
and 2.4.XX.

I have set the following AIX enviroment Variables before Compile Step.

CFLAGS="-maix64"; export  CFLAGS; echo $CFLAGS
LDFLAGS="-maix64"; export  LDFLAGS; echo $LDFLAGS
EXTRA_LDFLAGS_SHLIB="-b64
-L/opt/freeware/lib/gcc-lib/powerpc-ibm-aix5.3.0.0/3.3.2 -lgcc
-L/opt/freeware/lib/gcc-lib/powerpc-ibm-aix5.3.0.0/3.3.2/ppc64 -lgcc
-L/opt/freeware/lib/gcc-lib/powerpc-ibm-aix5.3.0.0/3.3.2/pthread -lgcc
-L/opt/freeware/lib/gcc-lib/powerpc-ibm-aix5.3.0.0/3.3.2/pthread/ppc64
-lgcc"; export  EXTRA_LDFLAGS_SHLIB; echo $EXTRA_LDFLAGS_SHLIB
OBJECT_MODE=64; export OBJECT_MODE; echo $OBJECT_MODE

Awaiting your inputs
Regards,
Sandeep

On Tue, Jan 17, 2012 at 11:26 PM, William A. Rowe Jr.
<wrowe@rowe-clan.net>wrote:

> On 1/16/2012 11:54 PM, Sandeep Bhatia wrote:
> > Hi All ,
> >
> > We are upgrading the Apache Web Server from 1.3.34 to 2.0.59 on AIX 5.3
> Tl12
> >
> > During the compile step we are getting the follwoing error.
> >
> > ld: 0711-738 ERROR: Input file strings/.libs/apr_cpystrn.o:
> >         XCOFF32 object files are not allowed in 64-bit mode.
> > collect2: ld returned 8 exit status
> >
> > Although , we have already set enviroment variable OBJECT_MODE to 64.
>
> Which is not enough to coerce your compiler to emit 64 bit output.  You
> missed a lot of details, such as whether you are trying an xlc or gcc
> build.  Back up a few steps and try asking again with more details :)
>
> Note 2.0.59 is absolutely ancient.  2.0.64 is the current *legacy*
> release and soon to be orphaned.  2.2.21 is the current release which
> will soon be superseded by 2.4.  You will get far more help and responses
> to problems with the current release than stale releases such as 2.0.59
>

Mime
View raw message